[问题]在7。04上安装了eclipse,但是不能在eclipse选择编码为GBK?

为当前最终发行版之前的所有版本提供支持
areslp
帖子: 141
注册时间: 2007-05-07 23:55
送出感谢: 0
接收感谢: 1 次

[问题]在7。04上安装了eclipse,但是不能在eclipse选择编码为GBK?

#1

帖子 areslp » 2007-05-08 0:19

workspace里填写编码gbk,提示不支持
在启动的时候选择gbk编码,eclipse里显示是gbk了,但是文件不能保存。。。还是提示“encoding gbk is not supported by this platform”
请问这该怎么办?
头像
anticlockwise
帖子: 2393
注册时间: 2007-03-01 20:46
来自: 湖南长沙
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 anticlockwise » 2007-05-08 0:21

为何要用GBK?UTF-8不是挺好吗?
Linux底下的Eclipse确实是不支持GBK的
xain
帖子: 219
注册时间: 2007-02-05 18:55
送出感谢: 0
接收感谢: 0

#3

帖子 xain » 2007-05-08 1:48

很多人用gb2312,这个对我不好。
slong42
帖子: 54
注册时间: 2006-10-25 18:37
送出感谢: 0
接收感谢: 0

#4

帖子 slong42 » 2007-05-08 7:14

anticlockwise 写了:为何要用GBK?UTF-8不是挺好吗?
Linux底下的Eclipse确实是不支持GBK的
6.10支持的,现在我也是这个问题,中文是乱码。windows移植过的的项目中文注释也是乱码。。
areslp
帖子: 141
注册时间: 2007-05-07 23:55
送出感谢: 0
接收感谢: 1 次

#5

帖子 areslp » 2007-05-08 10:43

因为项目开始就用的gbk,用utf-8就很多乱码 :shock:
头像
anticlockwise
帖子: 2393
注册时间: 2007-03-01 20:46
来自: 湖南长沙
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 anticlockwise » 2007-05-08 10:56

areslp 写了:因为项目开始就用的gbk,用utf-8就很多乱码 :shock:
抱歉,刚试了,支持的~~
去这里改:

Window->Preferences

+ General
+ Content Types -> Default Encoding
将Default Encoding改成GBK然后Update
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#7

帖子 stlxv » 2007-05-08 15:46

anticlockwise 写了:
areslp 写了:因为项目开始就用的gbk,用utf-8就很多乱码 :shock:
抱歉,刚试了,支持的~~
去这里改:

Window->Preferences

+ General
+ Content Types -> Default Encoding
将Default Encoding改成GBK然后Update
PHP是最好的语言!不服来战!
areslp
帖子: 141
注册时间: 2007-05-07 23:55
送出感谢: 0
接收感谢: 1 次

#8

帖子 areslp » 2007-05-09 16:48

谢谢,我回去试试
areslp
帖子: 141
注册时间: 2007-05-07 23:55
送出感谢: 0
接收感谢: 1 次

#9

帖子 areslp » 2007-05-11 11:16

显示正常,但是不能修改保存......
头像
bones7456
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#10

帖子 bones7456 » 2007-05-11 11:26

anticlockwise 写了:
areslp 写了:因为项目开始就用的gbk,用utf-8就很多乱码 :shock:
抱歉,刚试了,支持的~~
去这里改:

Window->Preferences

+ General
+ Content Types -> Default Encoding
将Default Encoding改成GBK然后Update
搞定! :em50 :em50
关注我的blog: ε==3
areslp
帖子: 141
注册时间: 2007-05-07 23:55
送出感谢: 0
接收感谢: 1 次

#11

帖子 areslp » 2007-05-12 13:25

我的也搞定了,我的那个是因为eclipse没调用sun的jdk,而是去调用的gcj的1。4。2的jdk,改成sun的就好了。。
头像
bones7456
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#12

帖子 bones7456 » 2007-05-16 12:55

areslp 写了:我的也搞定了,我的那个是因为eclipse没调用sun的jdk,而是去调用的gcj的1。4。2的jdk,改成sun的就好了。。
在哪里可以修改eclipse调用哪个jdk呢? :em23 :em23
关注我的blog: ε==3
头像
bones7456
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#13

帖子 bones7456 » 2007-05-16 14:13

关注我的blog: ε==3
头像
augus
帖子: 57
注册时间: 2007-01-13 14:39
送出感谢: 0
接收感谢: 0

#14

帖子 augus » 2007-05-16 14:32

楼上的,还要向你学习c
头像
stlxv
论坛版主
帖子: 8274
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#15

帖子 stlxv » 2007-05-16 15:12

augus 写了:楼上的,还要向你学习c
:shock:
PHP是最好的语言!不服来战!
回复

回到 “其他版本支持”